!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!                                          numgeo
!                Copyright (C) 2018-2023 Jan Machacek, Patrick Staubach
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!
! SUBROUTINE: user_boundary_conditions
!
!> author: Jan Machacek, jan-machacek@outlook.com
!> date: 28.03.2019
!
!> Interface to user subroutine to define (Dirichlet) boundary conditions
!
!>### History
!> 28.03.2019, Jan Machacek - Initial version
!
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
subroutine user_boundary_conditions(dof,inode,istep,time,coords,bc_value) bind(c,name='user_boundary_conditions')
  use, intrinsic :: iso_c_binding
  implicit none
  character(c_char)           , intent(in)    :: dof          !! degree of freedomn for which the boundary condition is defined
  integer(c_int)              , intent(in)    :: inode        !! node label
  integer(c_int)              , intent(in)    :: istep        !! step label
  real(c_double)              , intent(in)    :: time         !! step time
  real(c_double), dimension(3), intent(in)    :: coords       !! coordinates of the integration point
  real(c_double), dimension(3), intent(inout) :: bc_value     !! initial stress
	  
	  real(c_double) :: gammaW
	  
      bc_value = 0.0d0
      gammaW = 10.0d0


      bc_value(1) = coords(3) * gammaW  


end subroutine user_boundary_conditions
