!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!                                          numgeo
!                Copyright (C) 2018-2023 Jan Machacek, Patrick Staubach
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!
! SUBROUTINE: user_initial_state_variables
!
!> author: Jan Machacek, jan-machacek@outlook.com
!> date: 30.03.2019
!
!> Interface to user subroutine to define the initial values for arbitrary state variables (statev)
!
!>### History
!> 30.03.2019, J. Machacek - Initial version
!> 26.05.2023, J. Machacek - Bugfix of string passing through user-interface
!
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
subroutine user_initial_state_variables(ie,igp,ndim,nstatev,nchar,material,coords,statev) &
           bind(c,name='user_initial_state_variables')
  use, intrinsic :: iso_c_binding
  implicit none
  integer(c_int)                    , intent(in)    :: ie           !! element label
  integer(c_int)                    , intent(in)    :: igp          !! integration point label
  integer(c_int)                    , intent(in)    :: ndim         !! number of active dimensions
  integer(c_int)                    , intent(in)    :: nstatev      !! number of statev components
  integer(c_int)                    , intent(in)    :: nchar        !! length of the material name
  character(c_char)                 , intent(in)    :: material(*)  !! material name
  real(c_double), dimension(3)      , intent(in)    :: coords       !! coordinates of the integration point
  real(c_double), dimension(nstatev), intent(inout) :: statev       !! initial statev
  

  ! user coding to define the initial state variables statev(:)
  statev(:) = 0.0d0
  statev(1) = 0.8655d0
  !statev(4) = -1d-4
end subroutine user_initial_state_variables
