!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!                                          numgeo
!                Copyright (C) 2018-2023 Jan Machacek, Patrick Staubach
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!
! SUBROUTINE: user_boundary_conditions
!
!> author: Jan Machacek, jan-machacek@outlook.com
!> date: 28.03.2019
!
!> Interface to user subroutine to define (Dirichlet) boundary conditions
!
!>### History
!> 28.03.2019, J. Machacek - Initial version
!> 05.07.2023, P. Staubach - Windows version
!
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
subroutine user_boundary_conditions(dof,inode,istep,time,coords,bc_value) 
  implicit none
  !DEC$ ATTRIBUTES DLLEXPORT, STDCALL, REFERENCE :: user_boundary_conditions
  character            , intent(in)    :: dof          !! degree of freedomn for which the boundary condition is defined
  integer              , intent(in)    :: inode        !! node label
  integer              , intent(in)    :: istep        !! (current) step number
  real(8)              , intent(in)    :: time         !! step time
  real(8), dimension(3), intent(in)    :: coords       !! coordinates of the integration point
  real(8), dimension(3), intent(inout) :: bc_value     !! initial stress

  ! Example coding
  
  ! additional variable
   real(8) :: gamma_w
	  
  bc_value = 0.0d0
!  gammaW = 10.0d0
  
  
  bc_value(1) = coords(3) * 10.0d0  


end subroutine user_boundary_conditions
